<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/uiBackground"
    android:fitsSystemWindows="true">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="@dimen/ui_dimen_padding_h8">

        <TextView
            android:id="@+id/background_rectangle"
            android:layout_width="match_parent"
            android:layout_height="@dimen/ui_dimen_height_h5"
            android:layout_marginTop="@dimen/ui_dimen_margin_h2"
            android:background="@drawable/resource_drawable_selector_background"
            android:clickable="true"
            android:gravity="center"
            android:text="我是Background矩形"
            android:textColor="@color/uiTextColorH2"
            android:textSize="@dimen/ui_text_size_h2" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/ui_dimen_height_h5"
            android:layout_marginTop="@dimen/ui_dimen_margin_h2"
            android:background="@drawable/resource_drawable_selector_background_above"
            android:clickable="true"
            android:gravity="center"
            android:text="我是Above矩形"
            android:textColor="@color/uiTextColorH2"
            android:textSize="@dimen/ui_text_size_h2" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/ui_dimen_height_h5"
            android:layout_marginTop="@dimen/ui_dimen_margin_h2"
            android:background="@drawable/resource_drawable_selector_radius_background"
            android:clickable="true"
            android:gravity="center"
            android:text="我是Background圆角"
            android:textColor="@color/uiTextColorH2"
            android:textSize="@dimen/ui_text_size_h2" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/ui_dimen_height_h5"
            android:layout_marginTop="@dimen/ui_dimen_margin_h2"
            android:background="@drawable/resource_drawable_selector_radius_background_above"
            android:clickable="true"
            android:gravity="center"
            android:text="我是Above圆角"
            android:textColor="@color/uiTextColorH2"
            android:textSize="@dimen/ui_text_size_h2" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/ui_dimen_height_h5"
            android:layout_marginTop="@dimen/ui_dimen_margin_h2"
            android:background="@drawable/resource_drawable_shape_stroke_line"
            android:clickable="true"
            android:gravity="center"
            android:text="我是line空心边框"
            android:textColor="@color/uiTextColorH2"
            android:textSize="@dimen/ui_text_size_h2" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/ui_dimen_height_h5"
            android:layout_marginTop="@dimen/ui_dimen_margin_h2"
            android:background="@drawable/resource_drawable_shape_stroke_little"
            android:clickable="true"
            android:gravity="center"
            android:text="我是little空心边框"
            android:textColor="@color/uiTextColorH2"
            android:textSize="@dimen/ui_text_size_h2" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/ui_dimen_height_h5"
            android:layout_marginTop="@dimen/ui_dimen_margin_h2"
            android:background="@drawable/resource_drawable_shape_stroke_primary"
            android:clickable="true"
            android:gravity="center"
            android:text="我是primary空心边框"
            android:textColor="@color/uiTextColorH2"
            android:textSize="@dimen/ui_text_size_h2" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/ui_dimen_height_h5"
            android:layout_marginTop="@dimen/ui_dimen_margin_h2"
            android:background="@drawable/resource_drawable_selector_radius_primary"
            android:clickable="true"
            android:gravity="center"
            android:text="我是primary实心圆角"
            android:textColor="@color/uiTextColorWhite"
            android:textSize="@dimen/ui_text_size_h2" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/ui_dimen_height_h5"
            android:layout_marginTop="@dimen/ui_dimen_margin_h2"
            android:background="@drawable/resource_drawable_selector_radius_little"
            android:clickable="true"
            android:gravity="center"
            android:text="我是little实心圆角"
            android:textColor="@color/uiTextColorWhite"
            android:textSize="@dimen/ui_text_size_h2" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/ui_dimen_height_h5"
            android:layout_marginTop="@dimen/ui_dimen_margin_h2"
            android:background="@drawable/resource_drawable_selector_radius_line"
            android:clickable="true"
            android:gravity="center"
            android:text="我是Line实心圆角"
            android:textColor="@color/uiTextColorH2"
            android:textSize="@dimen/ui_text_size_h2" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/ui_dimen_height_h5"
            android:layout_marginTop="@dimen/ui_dimen_margin_h2"
            android:background="@drawable/resource_drawable_selector_oval_line"
            android:clickable="true"
            android:gravity="center"
            android:text="我是Line实心椭圆"
            android:textColor="@color/uiTextColorH2"
            android:textSize="@dimen/ui_text_size_h2" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/ui_dimen_height_h5"
            android:layout_marginTop="@dimen/ui_dimen_margin_h2"
            android:background="@drawable/resource_drawable_selector_oval_primary"
            android:clickable="true"
            android:gravity="center"
            android:text="我是Primary实心椭圆"
            android:textColor="@color/uiTextColorH2"
            android:textSize="@dimen/ui_text_size_h2" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/ui_dimen_height_h5"
            android:layout_marginTop="@dimen/ui_dimen_margin_h2"
            android:background="@drawable/resource_drawable_selector_oval_little"
            android:clickable="true"
            android:gravity="center"
            android:text="我是little实心椭圆"
            android:textColor="@color/uiTextColorH2"
            android:textSize="@dimen/ui_text_size_h2" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/ui_dimen_height_h5"
            android:layout_marginTop="@dimen/ui_dimen_margin_h2"
            android:background="@drawable/resource_drawable_selector_oval_background"
            android:clickable="true"
            android:gravity="center"
            android:text="我是background实心椭圆"
            android:textColor="@color/uiTextColorH2"
            android:textSize="@dimen/ui_text_size_h2" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="@dimen/ui_dimen_height_h5"
            android:layout_marginTop="@dimen/ui_dimen_margin_h2"
            android:background="@drawable/resource_drawable_selector_oval_background_above"
            android:clickable="true"
            android:gravity="center"
            android:text="我是background Above实心椭圆"
            android:textColor="@color/uiTextColorH2"
            android:textSize="@dimen/ui_text_size_h2" />

        <HorizontalScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">


                <TextView
                    android:layout_width="@dimen/ui_dimen_height_h5"
                    android:layout_height="@dimen/ui_dimen_height_h5"
                    android:layout_marginRight="@dimen/ui_dimen_margin_h1"
                    android:layout_marginTop="@dimen/ui_dimen_margin_h2"
                    android:background="@drawable/resource_drawable_selector_circle_primary"
                    android:clickable="true"
                    android:gravity="center"
                    android:text="0"
                    android:textColor="@color/uiTextColorWhite"
                    android:textSize="@dimen/ui_text_size_h2" />

                <TextView
                    android:layout_width="@dimen/ui_dimen_height_h5"
                    android:layout_height="@dimen/ui_dimen_height_h5"
                    android:layout_marginRight="@dimen/ui_dimen_margin_h1"
                    android:layout_marginTop="@dimen/ui_dimen_margin_h2"
                    android:background="@drawable/resource_drawable_selector_circle_little"
                    android:clickable="true"
                    android:gravity="center"

                    android:text="0"
                    android:textColor="@color/uiTextColorWhite"
                    android:textSize="@dimen/ui_text_size_h2" />

                <TextView
                    android:layout_width="@dimen/ui_dimen_height_h5"
                    android:layout_height="@dimen/ui_dimen_height_h5"
                    android:layout_marginRight="@dimen/ui_dimen_margin_h1"
                    android:layout_marginTop="@dimen/ui_dimen_margin_h2"
                    android:background="@drawable/resource_drawable_selector_circle_background"
                    android:clickable="true"
                    android:gravity="center"
                    android:text="0"
                    android:textColor="@color/uiTextColorH2"
                    android:textSize="@dimen/ui_text_size_h2" />

                <TextView
                    android:layout_width="@dimen/ui_dimen_height_h5"
                    android:layout_height="@dimen/ui_dimen_height_h5"
                    android:layout_marginRight="@dimen/ui_dimen_margin_h1"
                    android:layout_marginTop="@dimen/ui_dimen_margin_h2"
                    android:background="@drawable/resource_drawable_selector_circle_background_above"
                    android:clickable="true"
                    android:gravity="center"
                    android:text="0"
                    android:textColor="@color/uiTextColorH2"
                    android:textSize="@dimen/ui_text_size_h2" />


            </LinearLayout>
        </HorizontalScrollView>

    </LinearLayout>
</ScrollView>
